package ru.micord.ervu.account_applications.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class RecruitmentIpData {
  private String idDomain;
  @JsonProperty("ip")
  private String ipAddress;

  public RecruitmentIpData(String idDomain, String ipAddress) {
    this.idDomain = idDomain;
    this.ipAddress = ipAddress;
  }

  public RecruitmentIpData() {
  }

  public String getIdDomain() {
    return idDomain;
  }

  public void setIdDomain(String idDomain) {
    this.idDomain = idDomain;
  }

  public String getIpAddress() {
    return ipAddress;
  }

  public void setIpAddress(String ipAddress) {
    this.ipAddress = ipAddress;
  }
}
